module.exports = {
  "stories": [
    "./stories/**/*.stories.mdx",
    "./stories/**/*.stories.@(js|jsx|ts|tsx)"
  ],
  "addons": [
    "@storybook/addon-links",
    "@storybook/addon-essentials",
    "@storybook/addon-interactions"
    // "storybook-addon-intl",
    // "storybook-react-i18next",
  ],
  "framework": "@storybook/react",
  "core": {
    "builder": "@storybook/builder-vite"
  },
  staticDirs: ['../public'],
  /*
  "viteFinal": async (config, { configType }) => {
    // customize the Vite config here
    config.resolve.alias = {
      '@': path.join(__dirname, '../src'),
      '@/public': path.join(__dirname, '../public'),
    }

    config.css = {
      postcss: path.resolve(__dirname, '../postcss.config.cjs')
    }

    // return the customized config
    return config;
  }
  "webpackFinal": async config => {
    config.resolve.alias = {
      ...config.resolve.alias,
      '@': path.resolve(__dirname, '../src'),
    };

    config.module.rules.push({
      test: /\.css$/,
      use: [{
        loader: 'postcss-loader',
        options: {
          postcssOptions: {
            ident: 'postcss',
            plugins: [
              // require('postcss-import'),
              require('tailwindcss'),
              require('postcss-nested'),
              // require('postcss-custom-properties'),
              require('autoprefixer'),
            ],
          },
        }
      }],
      include: path.resolve(__dirname, '../'),
    });

    // config.module.rules.push({
    //   test: /\.(html)$/i,
    //   use: [{
    //     loader:'html-loader',
    //   }],
    //   include: path.resolve(__dirname, '../'),
    // });

    return config;
  },
  */


}
