import { addons } from '@storybook/addons';
import { themes } from '@storybook/theming';
import { create } from '@storybook/theming/create';

addons.setConfig({
  /**
   * display panel that shows addon configurations
   * @type {Boolean}
   */
  // showPanel: false,

  /**
   * display the top-level grouping as a "root" in the sidebar
   * @type {Boolean}
   */
  // showRoots: true,

  // theme: themes.dark,
  theme: create({
    base: 'light',
    // colorPrimary: 'hotpink',
    // colorSecondary: 'deepskyblue',

    // UI
    appBg: '#F4F4F4',
    // appContentBg: 'silver',
    // appBorderColor: 'grey',
    // appBorderRadius: 1,

    // Typography
    fontBase: 'Roboto, sans-serif',
    // fontCode: '"Roboto Mono"',

    // Text colors
    // textColor: 'black',
    // textInverseColor: 'rgba(255,255,255,0.9)',

    // Toolbar default and active colors
    // barTextColor: '#FFFFFF',
    // barSelectedColor: '#E6730F',
    // barBg: '#00684B',

    // Form colors
    // inputBg: 'white',
    // inputBorder: 'silver',
    // inputTextColor: 'black',
    // inputBorderRadius: 4,

    brandTitle: 'Reschemify',
    // brandUrl: 'https://example.com',
    brandImage: '/android-chrome-192x192.png',
  }),
});
